#include <math.h>
#include "interval.h"
#include "maskbox.h"

//*********************************************************************
//******************       CONSTRUCTEURS         **********************
//*********************************************************************
maskbox::maskbox (int ub1):box(ub1,TRUE)
{
    for (int i=1;i<=n_mask;i++) mask[i]=true;
}
//----------------------------------------------------------------------
maskbox::maskbox (const maskbox &v):box(v)
{	for (int i=1;i<=n_mask;i++)	mask[i]=v.mask[i];}
//----------------------------------------------------------------------
maskbox::maskbox (const box &v):box(v)
{	for (int i=1;i<=n_mask;i++)	mask[i]=true;}
//----------------------------------------------------------------------
