#ifndef __TREEOP__
#define __TREEOP__

#include <iostream.h>
#include <string.h>
#include <stdio.h>
#include <math.h>
#include "interval.h"
#include "box.h"

//#include "maskbox.h"

//box* pP=NULL;



class tree_number;
class node
{  public:
   char code;   //'0': constant, 'i': input, '+' for plus,
                //'s': sinus, 'c' for cosinus, 'e' for exp
   node* arg1;  //On utilise que des operateurs unaires et binaires
   node* arg2;
   int called; //utilis par Delete
   bool defined;
   int i; // =0 si code!='i'
   interval f;
   double f0; //f0 = f(center(P)) pour la forme centree
            // utilise aussi par reval
   double d1f0; //pour l'evaluation de la drive d'une fct a une variable
   double d2f0; //pour l'evaluation de la drive seconde d'une fct a une variable
   box df;
   friend tree_number;

   public:
   node(char, interval);     //C'est une constante
   node(int);    //C'est une input
   node (char,node*,node*);
   ~node ();

   void Print ();
   void ieval();
   void reval();
   void d1reval();
   void d2reval();
   void Deval();
   bool RetroPropagation(interval&);
   friend void Delete(node*);

} ;

class tree_number
{  public:
   node* pnode;
   tree_number();
   tree_number(node*);
   friend tree_number operator+ (const tree_number&,const tree_number&);
   friend tree_number operator- (tree_number&);
   friend tree_number operator- (tree_number&, tree_number&);
   friend tree_number operator* (const tree_number&,const tree_number&);
   friend tree_number Sin (tree_number&);
   friend tree_number Cos (tree_number&);
   friend tree_number Exp (const tree_number&);
};



#endif



